#include "t1605_fn.h"
#include "tidc_api.h"

#include "Configuration1cfg.h"

#include <csl.h>
#include <csl_irq.h>

#include <log.h>


#define BUFF_SZ (1024)

unsigned short Buffer[BUFF_SZ];

void main(void)
{
	int iStatus;

	iStatus = ADS1605_configure(&Ads1605_1);
	if(!(iStatus == TIDC_NO_ERR))
	{
		LOG_printf(&trace, "Error ADC");
		abort();
	}

	IRQ_globalEnable();


	while(1)
	{
		while(Ads1605_1.xferInProgress);
        ADS1605_readblock(&Ads1605_1, Buffer, BUFF_SZ, 0);
	}


}
